#
# spec file for package jed (Version B0.99.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ncurses slang xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow slang strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         jed
Copyright:    GPL
Group:        Applications/Editors
Autoreqprov:  on
Version:      B0.99.14
Release:      52
Summary:      A Text Editor
Url:          http://space.mit.edu/~davis/jed/
Source:       %{name}-B0.99-14.tar.bz2
Source1:      README.SuSE
Patch0:       %{name}-B0.99-14.patch
Patch1:       %{name}-B0.99-14-8-bit.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
JED is an extremely powerful but small emacs programmer's editor that
is extensible in a C-like macro language and is able to perform color
syntax highlighting. Among the many features:
Emacs, WordStar, EDT emulation;
C, Fortran, TeX, text editing modes;  Full undo;
GNU Emacs compatible info reader, and lots more.
8 bit clean, so you can even edit binary files!

Authors:
--------
    John E. Davis <davis@amy.tch.harvard.edu>

SuSE series: ap

%package -n xjed
Summary:      The X11 version of the jed editor
Group:        Applications/Editors
Autoreqprov:  on
Requires:     jed

%description -n xjed
The X11 variant of the editor jed.
As the jed editor can be nicely used in text mode, it should not depend on
X11 being installed. Therefore, the X front-end has been split away from the
jed package and put into this package.
The sources are included in the jed source package.

Authors:
--------
    John E. Davis <davis@amy.tch.harvard.edu>

SuSE series: xap

%prep
%setup -n jed-B0.99-14
%patch0
%patch1
#
cp %{S:1} .
cd info
rm info.info
rm dir.info
for name in jed.?in; do nm=${name##*jed.}; cp $name jed.info-${nm%in}; done

%build
export JED_ROOT=/usr/share/%{name}
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --with-x \
                        --mandir=%{_mandir} \
                        --infodir=%{_infodir}
make all xjed getmail

%install
rm -rf $RPM_BUILD_ROOT
export JED_ROOT=/usr/share/%{name}
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin/
install -d -m 755 $RPM_BUILD_ROOT/etc/%{name}-init.d/
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 init.d/*.sl $RPM_BUILD_ROOT/etc/%{name}-init.d/
install -m 644 jed-defaults.sl $RPM_BUILD_ROOT/etc/
install -m 755 init.d/jed-update-startup $RPM_BUILD_ROOT/usr/sbin/
install -m 644 init.d/jed-update-startup.8 $RPM_BUILD_ROOT%{_mandir}/man8/
echo '() = evalfile("/etc/jed-defaults.sl");' > $RPM_BUILD_ROOT/etc/jed.conf
chmod 644 $RPM_BUILD_ROOT/etc/jed.conf
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
#echo 'xjed.font: -*-lucidatypewriter-medium-r-normal-*-14-*' \
#	> $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XJed
#chmod 644 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XJed
mv doc/{README,README1}
cd $RPM_BUILD_ROOT/usr/share/%{name}/lib
export JED_ROOT=$RPM_BUILD_ROOT/usr/share/%{name}/
$RPM_BUILD_ROOT/usr/bin/%{name} -batch -n -l preparse.sl

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x usr/sbin/jed-update-startup -a -x bin/bash ] ; then
  usr/sbin/jed-update-startup
fi

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT INSTALL README changes.txt README.SuSE
%doc doc/{README1,txt} init.d/README.Debian-startup
%dir /etc/%{name}-init.d/
/usr/bin/jed
/usr/bin/getmail
/usr/bin/rgrep
/usr/sbin/jed-update-startup
/usr/share/%{name}/
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%doc %{_infodir}/*
%config /etc/jed-defaults.sl
%config(noreplace) /etc/jed.conf
%config(noreplace) /etc/%{name}-init.d/00site.sl
%config(noreplace) /etc/%{name}-init.d/99default.sl
%config(noreplace) /etc/%{name}-init.d/01lxkernel.sl
%config(noreplace) /etc/%{name}-init.d/02visbell.sl

%files -n xjed
%defattr(-,root,root)
%doc doc/txt/xjed.txt
/usr/bin/xjed
#%config(noreplace) /usr/X11R6/lib/X11/app-defaults/XJed

%changelog -n jed
* Wed Sep 19 2001 - pmladek@suse.cz
- fixed 8-bit characters, bug #10789:
  * it is important to use setlocale(LC_CTYPE, ...)
  because of new UTF support in slang library
* Thu Aug 02 2001 - garloff@suse.de
- Remove -fno-strength-reduce (GCC bug is fixed since 2.7.2.3).
- Added hint about font size adjustment for xjed.
* Thu Aug 02 2001 - garloff@suse.de
- unset _C_Indentation_Style to prevent overriding of our
  indentation settings in 01lxkernel.sl [#9551]
- Add /etc/jed.conf which is the new config file name.
  Just evaluate jed-defaults.sl from there.
* Wed Jul 18 2001 - pmladek@suse.cz
- updated to version B0.99-14
- cleaned up spec file
* Wed May 09 2001 - cihlar@suse.cz
- fixed to read /etc/jed-defaults.sl, used new
  debian patch [#7865]
* Wed Apr 25 2001 - cihlar@suse.cz
- fixed call of fcntl
* Wed Mar 07 2001 - cihlar@suse.cz
- update to version B0.99-13
* Thu Feb 01 2001 - cihlar@suse.cz
- fixed %%post to check bash and not perl
* Thu Feb 01 2001 - cihlar@suse.cz
- jed-update-startup rewritten to shell [#6186]
* Mon Jan 15 2001 - cihlar@suse.cz
- make preparse in %%install section, not in %%post [#5641]
- removed %%preun
* Thu Jan 04 2001 - cihlar@suse.cz
- removed absolute path in %%post
* Wed Nov 22 2000 - cihlar@suse.cz
- fixed problem with two READMEs
* Wed Nov 08 2000 - cihlar@suse.cz
- update to version B0.99-12
- bzipped sources
- clean up diffs
- clean up spec file
* Fri Oct 06 2000 - cihlar@suse.cz
- fixed path /usr/info in file site.sl
* Mon Aug 28 2000 - cihlar@suse.cz
- update to version B0.99-11
- moved getmail from /usr/share/jed/bin to /usr/bin
* Tue Jun 20 2000 - garloff@suse.de
- Changed backup behaviour in presence of hardlinks: rename
  instead of copying and create a new file. A hardlinked copy
  thus won't be touched.
* Mon Jun 19 2000 - ro@suse.de
- next try to fix postinstall
* Sun Jun 11 2000 - ro@suse.de
- forced exit 0 in postinstall script
* Tue May 23 2000 - garloff@suse.de
- strip binaries
* Tue May 23 2000 - garloff@suse.de
- Remove mmv from neededforbuild
* Tue May 23 2000 - garloff@suse.de
- Update to jed_0.99.9
- Apply Debian GNU/Linux patches (0.99.9-14)
- Adopt Debian config scheme and add 01lxkernel.sl, 02visbell.sl
- Make jed-update-startup ignore files but *.sl
- Add Makefile to /etc/jed-init.d/
- Change paths to match SuSE Linux and document this
- Compile .sl to .slc (for speedup)
- Install info files only once in the central location
* Mon May 22 2000 - garloff@suse.de
- Use %%{_docdir} macro to put package docu at the right place.
* Fri Mar 03 2000 - garloff@suse.de
- Info pages moved as well ...
* Sat Feb 05 2000 - garloff@suse.de
- Moved manpages to /usr/share/man
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - garloff@suse.de
- Created subpackage xjed in order to remove jed's dependance
  on X11 libs.
* Wed Aug 04 1999 - garloff@suse.de
- Fixed installation of info files.
* Wed Jul 21 1999 - garloff@suse.de
- Upgraded to jed-0.98.7
- Applied debian patches jed-0.98.7_14
- Put xjed into /usr/X11R6/bin and use install
* Thu Jul 15 1999 - garloff@suse.de
- removed included GPM support in favour of standard cut and paste
* Mon Oct 20 1997 - max@suse.de
- prepared for autobuild
